## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/
v2.0
/packages

### Try it

Get Packages

### cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/packages \
  --header 'X-API-Key: <api-key>'
```

### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/packages"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/packages', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Responses

- **200**
- **400**
- **401**
- **402**
- **403**
- **404**
- **405**
- **409**
- **413**
- **500**
- **501**
- **502**
- **503**
- **504**

### Example Response

```
{
  "items": [\
    {\
      "_id": "<string>,\
      "name": "New Package",\
      "description": "Version 1",\
      "hash": "<string>",\
      "createdBy": "<string>",\
      "createdAt": 1694518620\
    }\
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Error Response Examples

- **Bad Request**  
```
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
- **Unauthorized**  
```
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

- APIKeyHeader
- APIKeyQueryParam
- CXoneTokenHeader
- OAuth2

#### Headers

- **X-API-Key**: string, header, required
  - Supply the API Key in the HTTP-Header

#### Query Parameters

- **projectId**: string, Required.
  - The unique identifier for the Project.
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`
- **filter**: string
  - The string to filter Packages by name.
- **limit**: integer
  - The maximum number of items to return. Use this parameter to control page size. The default value is 25, and the maximum permitted value is 100.
  - Required range: `1 <= x <= 100`
- **skip**: integer
  - The number of items to skip before returning the results. Use this parameter with `limit` for offset-based pagination. The default value is 0.
  - Required range: `x >= 0`
- **sort**: string
  - The order in which results are returned. Set a sorting rule in the format `field:direction`, where direction can be `asc` for ascending order or `desc` for descending order. For example, `name:asc` sorts by name in ascending order.
  - Minimum string length: `1`
- **next**: string
  - The cursor that points to the next page of results. Use the `nextCursor` value returned in a previous response to request the next set of items.
  - Required string length: `24`
- **previous**: string
  - The cursor that points to the previous page of results. Use the `previousCursor` value returned in a previous response to request the previous set of items.
  - Required string length: `24`

#### Response

- **200**
  - `application/json`
  - Paginated array of Packages retrieved.
  - **items**: object[]
  - **total**: integer
  - **nextCursor**: string | null
  - **previousCursor**: string | null

Last modified on July 8, 2026.
